Page MenuHomePhabricator

Europeana links dont work - web is down?!?!
Closed, ResolvedPublic

Description

Case: Q745789 José Nieto - This change was done yesterday as the Europeana link agent/base/51727 has stopped work

UPDATE: could be that the Europeana web is down since 15 mars 10:00....

Issue 1: Dont know how to error report things to Europeana and track changes? Can you help @Carwash @David_Haskiya_WMSE

See also:

Event Timeline

Platonides renamed this task from Understand how we can track changes in European and avoid linkroot in Wikidata to Understand how we can track changes in Europeana and avoid linkrot in Wikidata.Mar 15 2020, 11:46 PM

Looks like all links are wrong

Europeana on twitter reports an error maybe its related

Salgo60 renamed this task from Understand how we can track changes in Europeana and avoid linkrot in Wikidata to Europeana links dont work .Mar 16 2020, 12:23 AM
Salgo60 renamed this task from Europeana links dont work to Europeana links dont work - web is down?!?!.
Salgo60 updated the task description. (Show Details)

The Europeana Entity API is in Alpha. That makes it inadvisable to integrate with it at scale in Wikidata. Europeana writes (about its Entity API):
"Do note that this means that changes can be introduced which could break backwards compatibility."

I suggest you hold off on integrating Europeana Entities until there's a stable release or at the very very least a Beta.

Salgo60 closed this task as Resolved.EditedMar 16 2020, 10:58 AM
Salgo60 moved this task from Backlog to Done on the Magnus Sälgö board.
Salgo60 added a subscriber: David_Haskiya_WMSE.

@David_Haskiya_WMSE ok to late we have > 160 000 connected since december 2019... and it seen on bg:Wikipedia ru:Wikipedia es:WIkipedia in the Authority templates T241677: Europeana Wiki templates in more language versions

Example how ru:Wikipedia Carl Larsson = Ларссон, Карл Улоф links Europeana

Status back on track
Looks like Europeana had a major problem and is now back on track I close this but it would be excellent to have better tools for communication and tracking issues like this

Salgo60 reopened this task as Open.EditedMar 16 2020, 2:01 PM

Its down again https://data.europeana.eu/agent/base/60886

Looks like problem with images also search Carl Larsson

Problems again...


Their issue trackers were at https://europeanadev.assembla.com/p/projects, in particular https://europeanadev.assembla.com/spaces/europeana-apis
https://europeanadev.assembla.com/spaces/europeana-infrastructure.
But they also have https://europeana.atlassian.net. https://europeana.atlassian.net/browse/RD-16 says at least one of the spaces (R&D) was migrated to Atlassian on 21/Oct/18.
So I looked at https://europeana.atlassian.net/secure/BrowseProjects.jspa and there are several relevant projects:

@David_Haskiya_WMSE "Alpha"??? For the last 2-3 years???
An Entity base that doesn't guarantee stability is totally useless. I don't think that's the message Europeana wants to send.

Keep pestering them @Salgo60 !

Salgo60 reopened this task as Open.EditedMar 19 2020, 10:08 AM

@VladimirAlexiev now it looks we have new error

curl http://data.europeana.eu/agent/base/60886 gives

<!DOCTYPE HTML PUBLIC "-IETFDTD HTML 2.0//EN">
<html><head>
<title>303 See Other</title>
</head><body>
<h1>See Other</h1>
<p>The answer to your request is located <a href="https://api.europeana.eu/entity/agent/base/60886?wskey=apidemo">here</a>.</p>
</body></html>

I also added a question to PRO-60

Dear users,

I understand your frustration wrt to the work on the entities at Europeana, but let me clarify a couple of points hoping that make it more clear.

The work on the entities is historically related to the process of semantic enrichment that we do at Europeana. As explained in the documentation page on Pro, we collected resources from selected sources such as DBPedia, Geonames, Wikidata (to some extent) and also vocabularies used by our data providers (such as the PhotoConsortium vocabulary for photography). We chose a couple of years ago to make this information visible outside Europeana and also mint persistent URIs for such entities so that the data we have for our items could also refer to them in a stable way. When we did so, we consciously marked the Entity API in alpha to express the fact that the information behind such entities (and the entities themselves) may change as we take action to improve them (e.g. select better sources, remove entities that are not relevant to our context, etc.). Actually when it comes to the Entity API (methods and data formats), it has been quite stable since the early beginning and we could have moved it towards beta, but we felt that it was not there.. so please use this data at your own discretion.

With regards to the remarks about stability of the URIs, there are a couple of points to explain. One is that the 403 responses are being returned by the portal (not the API, btw the URIs are content negotiable!)... this happens because the entity is not linked to in our items and therefore does not get visible in the portal to the outside world. This is intentional but the API still returns the data for it. It may also happen that entities are simply removed because they are not relevant for our context and are causing our semantic enrichment to fail (therefore they are removed). If otherwise an Entity is relevant it is kept.

Following this explanation, what we can say is that we are committed to make this data good enough so that we are comfortable to move it to Beta (and stable release after) looking at mid/end of this year.

Hope my explanation can help address your concerns.

Sincerely,
Hugo Manguinhas

Thanks @Hmangas

its no problem although a little bit sad that Europeana <-> Wikipedia cant get tighter integrated

Question: Is your advice that we should take away all Europeana links in Wikipedia as they use URL http://data.europeana.eu/agent/base/60886

I feel we can still have them in Wikidata...

If we should delete then templates in the following languages will be changed

We still will support Wikidata <-> Europeana

  • 160 000 Wikidata items Property 7704 I guess they can be useful when aggregating data...

Misc:

Dear Salgo,

What do you mean by not working? in my comment, I explain the page may not be visible but the link is still content negotiatable via the PURI.

About the Europeana URIs for entities being in Wikidata... we would prefer to control for which entities an Europeana URI is published. We like the progress on the property because we need it in order to publish the URIs but for populating it, if/when you do so please take into account the disclaimer in the Entity API so that users understand what is being published. Actually, I would prefer to edit the property metadata to make all this more evident and clear.

Sincerely,
Hugo Manguinhas

@Hmanga Sorry not being clear or I dont understand what you say

  1. in Wikidata we store
    1. formatter string e.g. **http://data.europeana.eu/$1**
    2. argument for every Wikidata object e.g
      1. Picasso Q5593 has Property 7704 = agent/base/60206 ==> together with the formatter string = http://data.europeana.eu/agent/base/60206 ==> Not found
      2. da Vinci Q762 has Property 7704 = agent/base/146741 ==> together with the formatter string = http://data.europeana.eu/agent/base/146741 ==> Not found

We do the same in templates see video we check if the article has the Europeana property set and then the Wikipedia template fetch the value of Property 7704 and creates a "static" URL

i.e. we just support GET and if it isnt supported we must delete the links/templates in the above mentioned wikipedias... applications using Wikidata I guess are more flexible so it makes sense having the Europeana property 7704

Dont hesitate to call me ++46705937579 and maybe we can get someone more technical skilled than me speaking to you if you think that helps....

Regards
Magnus Sälgö
Stockholm, Sweden

Dear Salgo,

Sorry for that, you noticed a glitch related to the switch over to our new portal (the links will change to reflect the new experience)... it has been rescheduled for Monday but the update procedure still happened yesterday morning. It has been fixed and you will see the pages for those entities again.

We apologize for the inconvenience.

Sincerely,
Hugo Manguinhas

Thanks for fast answer.... and hope we can do more Europeana <-> Wikidata <-> Wikipedia because I feel its a perfect match. I close my issue when I see it works....

@VladimirAlexiev Just a note that indeed we've moved our tickets to a new space a while ago. But https://europeana.atlassian.net/browse/RD is not very much up-to-date, as we use it for only a minor part of what we do (which is tracked elsewhere, or not tracked at all for all the emailing/networking). Sorry for that.
(and I reckon that this is only marginally related to the topic of this ticket so I'm going to stop here!)

Now working --> Resolved

Aklapper moved this task from Backlog to Done on the User-Salgo60 board.